Bug 249692 - graphics/facedetect: depends on python 2.x
Summary: graphics/facedetect: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:28 UTC by Steve Wills
Modified: 2020-09-25 09:05 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ehaupt)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:28:08 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Emanuel Haupt freebsd_committer 2020-09-24 17:33:57 UTC
According to https://gitlab.com/wavexx/facedetect it should work with python 3.x. I am looking into it.
Comment 2 Emanuel Haupt freebsd_committer 2020-09-24 18:21:54 UTC
Test case:

fetch https://image.shutterstock.com/z/stock-photo-group-picture-of-young-successful-team-of-designers-701723263.jpg
facedetect -o faces.jpg stock-photo-group-picture-of-young-successful-team-of-designers-701723263.jpg

Expected output:

1108 307 120 120
1263 220 124 124
71 167 151 151
270 255 146 146
547 248 152 152
802 172 177 177

faces.jpg should have faces framed.
Comment 3 Emanuel Haupt freebsd_committer 2020-09-24 18:43:25 UTC
Got a working patch. Will commit shortly.
Comment 4 commit-hook freebsd_committer 2020-09-25 09:04:22 UTC
A commit references this bug:

Author: ehaupt
Date: Fri Sep 25 09:04:12 UTC 2020
New revision: 550003
URL: https://svnweb.freebsd.org/changeset/ports/550003

Log:
  - Provide a patch to work with python 3.6+
  - Drop python 2.x support
  - Pacify portlint/portclippy

  PR:		249692 (based on)
  Submitted by:	swills

Changes:
  head/graphics/facedetect/Makefile
  head/graphics/facedetect/files/patch-facedetect